Subject: Re: bug#6471: Arabic display by emacs -Q on HELLO

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Aug 2019 17:05:16 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Wed, 21 Aug 2019 15:57:10 -0700
> 
> David De La Harpe Golden <[email-masked]> writes:
> 
> >> Aside: HELLO looks distinctly odd around the arabic lines in emacs -Q
> >> but not with my normal config. Probably independent from the immediate
> >> scrolling issue and possibly font-dependent, I'll file a separate bug.
> >>
> >
> > Yes, emacs -Q is picking this font:
> >
> > xft:-unknown-Metal-normal-normal-normal-*-13-*-*-*-*-0-iso10646-1
> >
> > from debian package ttf-arabeyes:
> >
> > /usr/share/fonts/truetype/ttf-arabeyes/ae_Metal.ttf
> >
> > and "emacs" this font (in accord with my default font customisation):
> >
> > xft:-unknown-DejaVu Sans Mono-normal-normal-normal-*-15-*-*-*-m-0-iso10646-1
> >
> > Actually, I suspect (not that I know arabic) both cases are displaying
> > it incorrectly (not composed), but it looks particularly off with the 
> > former, with the character cell for the character taking up half the
> > screen.  This might be partially a problem with the font in question.
> 
> (I'm going through old bug reports that have unfortunately gotten no
> attention yet.)
> 
> I tried reproducing this in Emacs 27, but as far as I can tell, the
> Arabic text shows up composed for me (emacs -Q is using "Ubuntu Mono")
> on my GNU/Linux system.
> 
> Are you still seeing this problem, or has it been fixed in the
> intervening years?

FWIW, I cannot see any problems, and am almost positive they were
either fixed or were due to a faulty font.